[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit '_crw_tcp' (#crwlib)

# NewTcpServer

## Declaration

Source position: _crw_tcp.pas line 336

`function NewTcpServer(`
`aPort: Word;`
`aMaxPipes: Integer = 1;`
`aReporter: TSocketReporter = Nil;`
`aDelay: Integer = 0;`
`aPriority: TThreadPriority = DefSocketPriority;`
`aRxFifoSize: Integer = 0;`
`aTxFifoSize: Integer = 0;`
`aTimeOut: Integer = 0;`
`aOptions: Integer = DefSocketOptions`
`):TTcpServer;`